Gecode::ArrayTraits< ArgArray< FloatVal > > Class Reference

Traits of FloatValArgs. More...

`#include <array-traits.hpp>`

## Public Types

typedef FloatValArgs | StorageType
typedef FloatVal | ValueType
typedef FloatValArgs | ArgsType

## Detailed Description

Traits of FloatValArgs.

Definition at line 62 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef FloatValArgs Gecode::ArrayTraits< ArgArray< FloatVal > >::StorageType

Definition at line 64 of file array-traits.hpp.

## ValueType

typedef FloatVal Gecode::ArrayTraits< ArgArray< FloatVal > >::ValueType

Definition at line 65 of file array-traits.hpp.

## ArgsType

typedef FloatValArgs Gecode::ArrayTraits< ArgArray< FloatVal > >::ArgsType

Definition at line 66 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/float/array-traits.hpp